package md

type LoginReq struct {
	Account   string `json:"account" binding:"required" label:"账号"`
	Password  string `json:"password" binding:"required" label:"密码"`
	LoginKind string `json:"login_kind" binding:"required" validate:"oneof=makeArea bakingArea sortingArea" label:"登录类型"`
}

type User struct {
	Account   string `json:"account" label:"账号"`
	Password  string `json:"password" label:"密码"`
	LoginKind string `json:"login_kind" label:"登录类型"`
}

type LoginResponse struct {
	Token     string `json:"token"`
	LoginKind string `json:"login_kind" label:"登录类型"`
}
