package model

type GoodsCategory struct {
	Id       int    `json:"id" xorm:"not null pk INT(11)"`
	Pid      int    `json:"pid" xorm:"comment('上级id') index INT(11)"`
	Name     string `json:"name" xorm:"comment('类目名称') VARCHAR(255)"`
	Level    int    `json:"level" xorm:"comment('类目级别') index INT(3)"`
	CreateAt string `json:"create_at" xorm:"default 'CURRENT_TIMESTAMP' comment('创建时间') TIMESTAMP"`
	UpdateAt string `json:"update_at" xorm:"default 'CURRENT_TIMESTAMP' comment('更新时间') TIMESTAMP"`
}
